Bug 204782 - [NEW PORT] net/py-ripe.atlas.cousteau: Python wrapper around the RIPE Atlas API
Summary: [NEW PORT] net/py-ripe.atlas.cousteau: Python wrapper around the RIPE Atlas API
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords: feature, patch, patch-ready
Depends on: 204781
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-24 15:01 UTC by Max Stucchi
Modified: 2015-12-02 01:27 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
Shar file of the port (1.77 KB, text/plain)
2015-11-24 15:01 UTC, Max Stucchi
no flags Details
New shar (14.05 KB, text/plain)
2015-11-28 09:07 UTC, Max Stucchi
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Max Stucchi 2015-11-24 15:01:55 UTC
Created attachment 163481 [details]
Shar file of the port

New Port: net/ripe-atlas-cousteau

This port is a python wrapper around the RIPE Atlas API.  It is part of a larger series of ports to include ripe-atlas-tools in FreeBSD.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 02:29:29 UTC
@Max,

This port needs to be renamed to be consistent with the upstream PyPI name: ripe.atlas.cousteau

It also needs PKGNAMEPREFIX=${PYTHON_PKGNAMEPREFIX}

Please update your patch accordingly. If you can also confirm that this passes QA (portlint, poudriere), that would be great.
Comment 2 Max Stucchi 2015-11-28 09:06:57 UTC
(In reply to Kubilay Kocak from comment #1)

Changed name, and added PKGNAMEPREFIX.

Tested with portlint and port test.
Comment 3 Max Stucchi 2015-11-28 09:07:22 UTC
Created attachment 163604 [details]
New shar
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-28 09:35:42 UTC
great work Max, does this depend on any other issues (eg: bug 204783) or can it be committed independently?
Comment 5 Max Stucchi 2015-11-28 09:44:20 UTC
(In reply to Kubilay Kocak from comment #4)

This actually depends on bug #204781, so that would need to be committed first.  That's the only one in this batch that's needed, though.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-28 10:06:51 UTC
@Martin, if you'd like to take this one too (since it depends on bug 204781, which is assigned to you), please feel free
Comment 7 Martin Wilke freebsd_committer 2015-11-30 15:20:14 UTC
Take.
Comment 8 commit-hook freebsd_committer 2015-12-02 01:24:46 UTC
A commit references this bug:

Author: miwi
Date: Wed Dec  2 01:24:15 UTC 2015
New revision: 402805
URL: https://svnweb.freebsd.org/changeset/ports/402805

Log:
  Socket.io client library for Python. You can use it to write test code for
  your socket.io server.

  WWW: https://github.com/invisibleroads/socketIO-client

  PR:		204782
  Submitted by:	Massimiliano Stucchi <mstucchi@ripe.net>
  Approved by:    mat (mentor)

Changes:
  head/net/Makefile
  head/net/py-socketio-client/
  head/net/py-socketio-client/Makefile
  head/net/py-socketio-client/distinfo
  head/net/py-socketio-client/pkg-descr